local LWAudioMixerGroupTemplate = BaseClass("LWAudioMixerGroupTemplate")
local __init = function(self)
  self.id = 0
  self.group = ""
  self.menu_option = 0
end
local __delete = function(self)
  self.id = nil
  self.group = nil
  self.menu_option = nil
end
local InitData = function(self, row)
  if row == nil then
    return
  end
  self.id = tonumber(row:getValue("id")) or 0
  self.group = row:getValue("audiomixer_group") or ""
  self.menu_option = tonumber(row:getValue("menu_option")) or 1
end
LWAudioMixerGroupTemplate.__init = __init
LWAudioMixerGroupTemplate.__delete = __delete
LWAudioMixerGroupTemplate.InitData = InitData
return LWAudioMixerGroupTemplate
